'use strict';

const kit = require('@nuxt/kit');
const vite = require('./vite.cjs');
const webpack = require('./webpack.cjs');
require('./shared/unplugin-vue-complex-types.ed9af591.cjs');
require('unplugin');

const name = "unplugin-vue-complex-types";
const version = "0.0.0";

const nuxt = kit.defineNuxtModule({
  meta: {
    name,
    version,
    configKey: "unplugin-vue-complex-types",
    compatibility: {
      bridge: true
    }
  },
  defaults: {},
  setup(options) {
    kit.addVitePlugin(vite(options));
    kit.addWebpackPlugin(webpack(options));
  }
});

module.exports = nuxt;
