import { defineNuxtModule, addVitePlugin, addWebpackPlugin } from '@nuxt/kit';
import VitePlugin from './vite.mjs';
import WebpackPlugin from './webpack.mjs';
import './shared/unplugin-vue-complex-types.9343b370.mjs';
import 'unplugin';

const name = "unplugin-vue-complex-types";
const version = "0.0.0";

const nuxt = defineNuxtModule({
  meta: {
    name,
    version,
    configKey: "unplugin-vue-complex-types",
    compatibility: {
      bridge: true
    }
  },
  defaults: {},
  setup(options) {
    addVitePlugin(VitePlugin(options));
    addWebpackPlugin(WebpackPlugin(options));
  }
});

export { nuxt as default };
